#ifndef SHAPE_H_INCLUDED
#define SHAPE_H_INCLUDED

#include "Object.h"

typedef enum {
    BLACK,
    BLUE,
    RED,
    MAGENTA,
    GREEN,
    CYAN,
    YELLOW,
    WHITE
} ColorCode;

typedef enum {
    SOLID_LINE,         /*  */
    DOTTED_LINE,        /* _ */
    BLOKEN_LINE,        /* j */
} LineType;

typedef struct {
    Object      super;  /* X[p[NX̕ */
    ColorCode   color;
    LineType    lineType;
} Shape;

void drawShape(Shape *shape);

#endif /* SHAPE_H_INCLUDED */
