import java.io.*;

class ByteDump {
    public static void main(String[] args) {
        try {
            FileInputStream fin = new FileInputStream(args[0]);
            int ch;
            int count = 0; // 1sɏo͂̐

            while ((ch = fin.read()) != -1) {
                if ((ch & 0x80) == 0 &&
                    !Character.isISOControl((char)ch)) {
                    System.out.print((char)ch);
                } else {
                    System.out.print("?");
                }
                count++;
                if (count == 64) {
                    System.out.print("\n");
                    count = 0;
                }
            }
            fin.close();
            System.out.print("\n");
        } catch (IOException ex) {
            ex.printStackTrace();
            System.exit(1);
        }
    }
}
