import java.io.*;
import java.util.*;

public final class Debug {
    private static DebugSecurityManager securityManager;

    static {
        // SecurityManager̐ݒsȂ
        securityManager = new DebugSecurityManager();
        System.setSecurityManager(securityManager);
    }

    public static void write(String str) {
        Class[] stack = securityManager.getStackTrace();

        // stack[0]... DebugSecurityManager#getStackTrace()
        // stack[1]... Debug#write()
        // stack[2]... write()ĂяoNX
        String className = stack[2].getName();

        // pbP[W܂ŏoƂƂƎv̂ŁA
        // pbP[WNX擾B
        StringTokenizer tokenizer = new StringTokenizer(className, ".");
        String lastClassName = null;
        while (tokenizer.hasMoreTokens()) {
            lastClassName = tokenizer.nextToken();
        }
        System.err.println("[" + lastClassName + "]" + str);
    }
}
