class Rectangle extends Shape {
    private Point2D     point1;
    private Point2D     point2;

    public Rectangle(double x1, double y1, double x2, double y2) {
        this.point1 = new Point2D(x1, y1);
        this.point2 = new Point2D(x2, y2);
    }
    public void draw(Drawable d) {
        d.drawRectangle(this.point1.getX(), this.point1.getY(),
                        this.point2.getX(), this.point2.getY());
    }
}
