class Circle extends Shape {
    private Point2D     center;
    private double      radius;

    public Circle(double centerX, double centerY, double radius) {
        this.center = new Point2D(centerX, centerY);
        this.radius = radius;
    }
    public void draw(Drawable d) {
        d.drawCircle(this.center.getX(), this.center.getY(),
                     this.radius);
    }
}
