class Polyline extends Shape {
    private Point2D[] points;

    public Polyline(Point2D[] points) {
        this.points = points;
    }
    public void draw(Drawable d) {
        for (int i = 0; i < this.points.length - 1; i++) {
            d.drawLine(this.points[i].getX(), this.points[i].getY(),
                       this.points[i+1].getX(), this.points[i+1].getY());
        }
    }
}
